/* styles.css */
:root{
  --btn-bg:#19349A;
  --btn-text:#fff;
}

*{box-sizing:border-box}

html,body{
  height:100%;
}

body{
  margin:0;
  font-family:"Poppins",system-ui,-apple-system,Segoe UI,Roboto,"Helvetica Neue",Arial,sans-serif;
  color: #000;;
  min-height:100vh;
  position:relative;
  background-image: url("../img/fondo-donaflor.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-color: #000000;
  background-attachment: fixed;
}

/* Fullscreen background */
/*.bg{
  position:fixed;
  inset:0;
  background:url("assets/img/fondo-donaflor.png") center/cover no-repeat;
  z-index:-1;
} */

/* top logo */
.header{
  display:flex;
  justify-content:center;
  padding:28px 24px 8px;
}

.logo{
  max-width:200px;
  width:100%;
  height:auto;
}

/* layout */
.content{
  padding:16px 24px 48px;
}

.grid{
  display:grid;
  grid-template-columns:1fr;
  gap:28px;
  max-width:900px;
  margin-inline:auto;
}

/* card */

.card{
  border: none;
  background-color: unset;
  width: 100%;
}

.card img{
  width:100%;
  height:auto;
  display:block;
  border-radius:8px;
  border: none;
}

.buy-btn{
  display:block;
  margin-top:12px;
  width:100%;
  text-align:center;
  text-decoration:none;
  background:var(--btn-bg);
  color:var(--btn-text);
  font-weight:600;                 /* semibold */
  font-size:16px;
  line-height:1;
  padding:16px 20px;
  border-radius:8px;
  transition:transform .08s ease, opacity .2s ease;
}

.buy-btn:active{ transform:scale(.98) }
.buy-btn:hover{ 
  -webkit-transform:scale(0.9);
  transform:scale(0.9);
  transition: 0.3s;
  outline-color: rgba(49, 138, 172, 0);
  outline-offset: 80px;
  text-shadow: 1px 1px 6px #fff; }

/* Desktop: 2 x 2 grid */
@media (min-width: 992px){
  .content{ padding:24px 24px 80px; }
  .grid{
    grid-template-columns:repeat(2, auto);
    gap:36px 40px;
    justify-content: center;                 /* centra ambas columnas en la página */                    /* separa horizontalmente */
    row-gap: 18px;                           /* separa verticalmente */
    max-width: 560px; 
  }
  .header{ padding:36px 24px 12px; }
  .logo{ max-width:200px; }
}
